/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.tqlab.sense;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

/**
 * 
 * <p>
 * TQLAB.com all right reserved.
 * </p>
 * 
 * @author John Lee
 * 
 */
public class Activator implements BundleActivator {

	private static final String TEMPLATE_DIR = "com.tqlab.sense.template.dir";
	private static final String HTDOCS_DIR = "com.tqlab.sense.htdocs.dir";
	public static final String TEMPLATE_DIR_KEY = "sense_template_dir__";
	public static final String HTDOCS_DIR_KEY = "sense_htdocs_dir__";

	@Override
	public void start(BundleContext context) throws Exception {
		String templateDir = context.getProperty(TEMPLATE_DIR);
		System.setProperty(TEMPLATE_DIR_KEY, templateDir);

		String htdocsDir = context.getProperty(HTDOCS_DIR);
		System.setProperty(HTDOCS_DIR_KEY, htdocsDir);
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		System.getProperties().remove(TEMPLATE_DIR_KEY);
		System.getProperties().remove(HTDOCS_DIR_KEY);
	}
}
