/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.tqlab.sense.tiles;

import java.util.HashMap;

/**
 * 
 * @author John Lee
 * 
 * @param <K>
 * @param <V>
 */
public class TileParameters<K, V> extends HashMap<K, V> {

	private static final long serialVersionUID = 3256721796996084529L;
	private String modual;
	private String template;

	public TileParameters() {
		super(4);
	}

	/**
	 * @return the modual
	 */
	public final String getModual() {
		return modual;
	}

	/**
	 * @param modual
	 *            the modual to set
	 */
	public final void setModual(String modual) {
		this.modual = modual;
	}

	/**
	 * @return the template
	 */
	public final String getTemplate() {
		return template;
	}

	/**
	 * @param template
	 *            the template to set
	 */
	public final void setTemplate(String template) {
		this.template = template;
	}

}