package org.apache.naming;

/**
 * Represents a binding in a NamingContext.
 * 
 * @author Remy Maucherat
 * @version $Id: NamingEntry.java 1060907 2011-01-19 19:08:36Z markt $
 */

public class NamingEntry {

	// -------------------------------------------------------------- Constants

	public static final int ENTRY = 0;
	public static final int LINK_REF = 1;
	public static final int REFERENCE = 2;

	public static final int CONTEXT = 10;

	// ----------------------------------------------------------- Constructors

	public NamingEntry(String name, Object value, int type) {
		this.name = name;
		this.value = value;
		this.type = type;
	}

	// ----------------------------------------------------- Instance Variables

	/**
	 * The type instance variable is used to avoid using RTTI when doing
	 * lookups.
	 */
	public int type;
	public String name;
	public Object value;

	// --------------------------------------------------------- Object Methods

	@Override
	public boolean equals(Object obj) {
		if (obj instanceof NamingEntry) {
			return name.equals(((NamingEntry) obj).name);
		} else {
			return false;
		}
	}

	@Override
	public int hashCode() {
		return name.hashCode();
	}

}
